<div class="row">
  <div class="col-12 d-flex bd-highlight">
    <div class="flex-grow-1 bd-highlight">
      <div class="row">
        <div class="col-12" (click)="back()" style="cursor: pointer;">
          <div class="row">
            <span class="col-1">
              <img src="assets/img/chevron-left.svg" class="back-btn">
            </span>
            <span class="col-11 head-title">สรุปผลการพิจารณา</span>
          </div>
        </div>
        <div class="col-12">
          <span class="sub-title">ตรวจสอบหรือแก้ไขข้อมูลสรุปผลการพิจารณาดังต่อไปนี้</span>
        </div>
      </div>
    </div>
    <div *ngIf="this.userRole === 'PC' " class="bd-highlight" style="text-align: right; width: 40vw;">
      <!-- <button *ngIf="reviewStatus" type="button" class="btn btn-save" (click)="saveInformation_13()">บันทึก</button> -->
      <button *ngIf="sendWorkStatus" [disabled]="false" type="button" class="btn btn-send" (click)="sendWork()"
        style=" margin-right: 0px;">ส่งงาน</button>
    </div>
    <div *ngIf="this.userRole === 'PO'" class="bd-highlight" style="text-align: right; width: 40vw;">
      <!-- <button *ngIf="reviewStatus" type="button" class="btn btn-save" (click)="saveInformation_13()">บันทึก</button> -->
      <button *ngIf="sendWorkStatus" [disabled]="false" type="button" class="btn btn-send" (click)="sendWork()"
        style=" margin-right: 0px;">ส่งงาน</button>
    </div>
  </div>
</div>
<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
  <a class="alert-detail">บันทึกความเห็นสายงานบริหารคุณภาพสินเชื่อและกระบวนการธุรกิจเครือข่ายรายย่อยเรียบร้อย</a>
</div>


<!-- ----------------------------------------------------------------------------------------------------- -->
<br><br>
<div id="accordion">
  <!-- information_1   รายละเอียดคำขอ   -->
  <div class="row p-0">
    <div class="col-12" id="heading_1">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">รายละเอียดคำขอ</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_1 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_1 === false" class="showPanel_save_false"
            (click)="saveInformation_1()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_1 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_1" aria-expanded="false" aria-controls="collapse_1"
            (click)="information_1 = !information_1">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_1 === false" data-toggle="collapse" data-target="#collapse_1"
            aria-expanded="true" aria-controls="collapse_1"
            (click)="information_1 = !information_1">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>

    <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC' || userRole === 'PO'}" id="collapse_1"
      aria-labelledby="heading_1" *ngIf="userRole !== null">
      <div class="body-detal">
        <app-request-details
          [template_manage]="{ role: userRole , validate: detailValidate_1, caaStatus: null, pageShow: 'summary'}"
          (saveStatus)="getSaveStatus_1($event)" (dataStatus)="dataRequestStatus_1($event)"></app-request-details>
      </div>
      <br>
    </div>

  </div>

  <!-- information_2 1.Business Model & Risk -->
  <div class="row p-0">
    <div class="col-12" id="heading_2">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal"> แนวคิดผลิตภัณฑ์</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_2 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_2 === false" class="showPanel_save_false"
            (click)="saveInformation_2()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_2 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_2" aria-expanded="false" aria-controls="collapse_2"
            (click)="information_2 = !information_2"> แสดงผลน้อยลง
          </span>
          <span class="showPanel" *ngIf="information_2 === false" data-toggle="collapse" data-target="#collapse_2"
            aria-expanded="true" aria-controls="collapse_2" (click)="information_2 = !information_2"> แสดงผลเพิ่มเติม
          </span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC' || userRole === 'PO'} " id="collapse_2"
      aria-labelledby="heading_2">
      <div class="body-detal">
        <app-step-one
          [template_manage]="{ role: null , validate: detailValidate_2, caaStatus: 'show', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_2($event)"></app-step-one>
      </div>
      <br>
    </div>
  </div>

  <!-- information_20 ทบทวน 2.ปัญหาอุปสรรคและการจัดการ -->
  <!-- <div class="row p-0" *ngIf="objective === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || objective === 'ทบทวนผลิตภัณฑ์ประจำปี'">
      <div class="col-12" id="heading_20">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">ปัญหาอุปสรรคและการจัดการ</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_20 === true" class="showPanel_save_true">บันทึก</span>
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_20 === false" class="showPanel_save_false" (click)="saveInformation_20()">บันทึก</span>
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span 
              class="showPanel"
              *ngIf="information_20 === true"
              style="margin-left: 3px;"
              data-toggle="collapse"
              data-target="#collapse_20"
              aria-expanded="false"
              aria-controls="collapse_20"
              (click)="information_20 = !information_20"> แสดงผลน้อยลง </span>
            <span
              class="showPanel"
              *ngIf="information_20 === false"
              data-toggle="collapse"
              data-target="#collapse_20"
              aria-expanded="true"
              aria-controls="collapse_20"
              (click)="information_20 = !information_20"> แสดงผลเพิ่มเติม </span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" id="collapse_20" aria-labelledby="heading_20">
        <div class="body-detal">
          <app-step-two-summary [template_manage]="{ role: null , validate: detailValidate_20, caaStatus: 'show', pageShow: 'summary'}" (saveStatus)="getSaveStatus_20($event)"></app-step-two-summary>
        </div>
        <br>
      </div>
    </div> -->

  <!-- information_3 2.วิเคราะห์สภาพตลาด ผลิตภัณฑ์ที่มีปัจจุบัน และคู่แข่งขัน -->
  <div class="row p-0">
    <div class="col-12" id="heading_3">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">วิเคราะห์สภาพตลาด ผลิตภัณฑ์ที่มีปัจจุบัน และคู่แข่งขัน</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_3 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_3 === false" class="showPanel_save_false"
            (click)="saveInformation_3()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_3 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_3" aria-expanded="false" aria-controls="collapse_3"
            (click)="information_3 = !information_3">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_3 === false" data-toggle="collapse" data-target="#collapse_3"
            aria-expanded="true" aria-controls="collapse_3"
            (click)="information_3 = !information_3">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_3" aria-labelledby="heading_3">
      <div class="body-detal">
        <app-step-two
          [template_manage]="{ role: null , validate: detailValidate_3, caaStatus: 'show', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_3($event)"></app-step-two>
      </div>
      <br>
    </div>
  </div>

  <!-- information_4_1 3.รูปแบบผลิตภัณฑ์ - Business Loan -->
  <div *ngIf="businessStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_1">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - Business Loan</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_1 === true"
              class="showPanel_save_true">บันทึก</span>
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_1 === false"
              class="showPanel_save_false" (click)="saveInformation_4_1()">บันทึก</span>
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span class="showPanel" *ngIf="information_4_1 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_1" aria-expanded="false" aria-controls="collapse_4_1"
              (click)="information_4_1 = !information_4_1">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_1 === false" data-toggle="collapse" data-target="#collapse_4_1"
              aria-expanded="true" aria-controls="collapse_4_1"
              (click)="information_4_1 = !information_4_1">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC'|| userRole === 'PO'}" id="collapse_4_1">
        <div class="body-detal">
          <app-business-loan
            [template_manage]="{ role: null , validate: detailValidate_4_1, caaStatus: 'show', pageShow: 'summary'}"
            (saveStatus)="getSaveStatus_4_1($event)"></app-business-loan>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_4_2 3.รูปแบบผลิตภัณฑ์ - Business Loan -->
  <div *ngIf="personalStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_2">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - Personal Loan</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_2 === true"
              class="showPanel_save_true">บันทึก</span>
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_2 === false"
              class="showPanel_save_false" (click)="saveInformation_4_2()">บันทึก</span>
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span class="showPanel" *ngIf="information_4_2 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_2" aria-expanded="false" aria-controls="collapse_4_2"
              (click)="information_4_2 = !information_4_2">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_2 === false" data-toggle="collapse" data-target="#collapse_4_2"
              aria-expanded="true" aria-controls="collapse_4_2"
              (click)="information_4_2 = !information_4_2">แสดงผลเพิ่มเติม</span>
            <!-- <span class="showPanel" *ngIf="information_4_2 === false" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_2 " aria-expanded="false" aria-controls="collapse_4_2 "
              (click)="information_4_2 = !information_4_2">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_2 === true" data-toggle="collapse"
              data-target="#collapse_4_2 " aria-expanded="true" aria-controls="collapse_4_2 "
              (click)="information_4_2 = !information_4_2">แสดงผลเพิ่มเติม</span> -->
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC'|| userRole === 'PO'}" id="collapse_4_2">
        <div class="body-detal">
          <app-personal-loan
            [template_manage]="{ role: null , validate: detailValidate_4_2, caaStatus: 'show', pageShow: 'summary'}"
            (saveStatus)="getSaveStatus_4_2($event)"></app-personal-loan>
        </div>
        <br>
      </div>

    </div>
  </div>

  <!-- information_4_3 3.รูปแบบผลิตภัณฑ์ - Housing Loan -->
  <div *ngIf="housingStatus">
    <div class="row p-0" id="heading_4_3">
      <div class="col-12">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - Housing Loan</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_3 === true"
              class="showPanel_save_true">บันทึก</span>
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_3 === false"
              class="showPanel_save_false" (click)="saveInformation_4_3()">บันทึก</span>
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span class="showPanel" *ngIf="information_4_3 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_3" aria-expanded="false" aria-controls="collapse_4_3"
              (click)="information_4_3 = !information_4_3">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_3 === false" data-toggle="collapse" data-target="#collapse_4_3"
              aria-expanded="true" aria-controls="collapse_4_3"
              (click)="information_4_3 = !information_4_3">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC' || userRole === 'PO'}" id="collapse_4_3"
        aria-labelledby="heading_4_3">
        <div class="body-detal">
          <app-housing-loan
            [template_manage]="{ role: null , validate: detailValidate_4_3, caaStatus: 'show', pageShow: 'summary' }"
            (saveStatus)="getSaveStatus_4_3($event)"></app-housing-loan>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_4_4 3.รูปแบบผลิตภัณฑ์ - Other -->
  <div *ngIf="otherStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_4">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - อื่นๆ (Credit)</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_4 === true"
              class="showPanel_save_true">บันทึก</span>
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_4 === false"
              class="showPanel_save_false" (click)="saveInformation_4_4()">บันทึก</span>
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span class="showPanel" *ngIf="information_4_4 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_4" aria-expanded="false" aria-controls="collapse_4_4"
              (click)="information_4_4 = !information_4_4">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_4 === false" data-toggle="collapse" data-target="#collapse_4_4"
              aria-expanded="true" aria-controls="collapse_4_4"
              (click)="information_4_4 = !information_4_4">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC' || userRole === 'PO'}" id="collapse_4_4"
        aria-labelledby="heading_4_4">
        <div class="body-detal">
          <app-other
            [template_manage]="{ role: null , validate: detailValidate_4_4, caaStatus: 'show', checkNon: 'Credit', pageShow: 'summary' }"
            (saveStatus)="getSaveStatus_4_4($event)"></app-other>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_4_5 3.รูปแบบผลิตภัณฑ์ - Non-Credit Product -->
  <div *ngIf="nonCreditStatus">
    <div class="row p-0">
      <div class="col-12" id="heading_4_5">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - Non-Credit Product</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_5 === true"
              class="showPanel_save_true">บันทึก</span>
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_5 === false"
              class="showPanel_save_false" (click)="saveInformation_4_5()">บันทึก</span>
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span class="showPanel" *ngIf="information_4_5 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_5" aria-expanded="false" aria-controls="collapse_4_5"
              (click)="information_4_5 = !information_4_5">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_5 === false" data-toggle="collapse" data-target="#collapse_4_5"
              aria-expanded="true" aria-controls="collapse_4_5"
              (click)="information_4_5 = !information_4_5">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC' || userRole === 'PO'}" id="collapse_4_5"
        aria-labelledby="heading_4_5">
        <div class="body-detal">
          <app-non-credit
            [template_manage]="{ role: null , validate: detailValidate_4_5, caaStatus: 'show', pageShow: 'summary'}"
            (saveStatus)="getSaveStatus_4_5($event)"></app-non-credit>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_4_6 3.รูปแบบผลิตภัณฑ์ - Non Credit Product Other -->
  <div *ngIf="otherNonCreditStatus">
    <div class="row p-0" id="heading_4_6">
      <div class="col-12">
        <div class="d-flex bd-highlight">
          <div class="w-100 bd-highlight">
            <p class="head-detal">รูปแบบผลิตภัณฑ์ - อื่นๆ (Non-Credit Product)</p>
          </div>
          <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_6 === true"
              class="showPanel_save_true">บันทึก</span>
            <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_4_6 === false"
              class="showPanel_save_false" (click)="saveInformation_4_6()">บันทึก</span>
            <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
            <span class="showPanel" *ngIf="information_4_6 === true" style="margin-left: 3px;" data-toggle="collapse"
              data-target="#collapse_4_6" aria-expanded="false" aria-controls="collapse_4_6"
              (click)="information_4_6 = !information_4_6">แสดงผลน้อยลง</span>
            <span class="showPanel" *ngIf="information_4_6 === false" data-toggle="collapse" data-target="#collapse_4_6"
              aria-expanded="true" aria-controls="collapse_4_6"
              (click)="information_4_6 = !information_4_6">แสดงผลเพิ่มเติม</span>
          </div>
        </div>
      </div>
      <div class="col-12">
        <hr style="margin-top: 0px;margin-bottom: 20px;">
      </div>
      <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC' || userRole === 'PO'}" id="collapse_4_6"
        aria-labelledby="heading_4_6">
        <div class="body-detal">
          <app-other-non-creadit
            [template_manage]="{ role: null , validate: detailValidate_4_6, caaStatus: 'show', checkNon: 'NonCredit', pageShow: 'summary'}"
            (saveStatus)="getSaveStatus_4_6($event)"></app-other-non-creadit>
        </div>
        <br>
      </div>
    </div>
  </div>

  <!-- information_5 4.กระบวนการทำงาน -->
  <div class="row p-0">
    <div class="col-12" id="heading_5">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">กระบวนการทำงาน</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_5 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_5 === false" class="showPanel_save_false"
            (click)="saveInformation_5()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_5 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_5" aria-expanded="false" aria-controls="collapse_5"
            (click)="information_5 = !information_5">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_5 === false" data-toggle="collapse" data-target="#collapse_5"
            aria-expanded="true" aria-controls="collapse_5"
            (click)="information_5 = !information_5">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_5" aria-labelledby="heading_5">
      <div class="body-detal">
        <app-step-four
          [template_manage]="{ role: null , validate: detailValidate_5, caaStatus: 'show', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_5($event)"></app-step-four>
      </div>
      <br>
    </div>
  </div>


  <!-- information_6 5.ความพร้อมด้านการดำเนินงาน ( Operation ) -->
  <div class="row p-0">
    <div class="col-12" id="heading_1">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ความพร้อมด้านการดำเนินงาน ( Operation )</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_6 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_6 === false" class="showPanel_save_false"
            (click)="saveInformation_6()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_6 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_6" aria-expanded="false" aria-controls="collapse_6"
            (click)="information_6 = !information_6">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_6 === false" data-toggle="collapse" data-target="#collapse_6"
            aria-expanded="true" aria-controls="collapse_6"
            (click)="information_6 = !information_6">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_6" aria-labelledby="heading_6">
      <div class="body-detal">
        <app-step-five
          [template_manage]="{ role: null , validate: detailValidate_6, caaStatus: 'show', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_6($event)"></app-step-five>
      </div>
      <br>
    </div>
  </div>

  <!-- information_7 6.ความพร้อมด้านการให้บริการลูกค้าอย่างเป็นธรรม ( Market Conduct ) -->
  <div class="row p-0">
    <div class="col-12" id="heading_7">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ความพร้อมด้านการให้บริการลูกค้าอย่างเป็นธรรม ( Market Conduct )</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_7 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_7 === false" class="showPanel_save_false"
            (click)="saveInformation_7()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_7 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_7" aria-expanded="false" aria-controls="collapse_7"
            (click)="information_7 = !information_7">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_7 === false" data-toggle="collapse" data-target="#collapse_7"
            aria-expanded="true" aria-controls="collapse_7"
            (click)="information_7 = !information_7">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_7" aria-labelledby="heading_7">
      <div class="body-detal">
        <app-step-six
          [template_manage]="{ role: null , validate: detailValidate_7, caaStatus: 'show', pageShow: 'summary', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_7($event)"></app-step-six>
      </div>
      <br>
    </div>
  </div>

  <!-- information_8 7.ความพร้อมด้านเทคโนโลยีสารสนเทศ -->
  <div class="row p-0" *ngIf="page7show === true">
    <div class="col-12" id="heading_1">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ความพร้อมด้านเทคโนโลยีสารสนเทศ </p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_8 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_8 === false" class="showPanel_save_false"
            (click)="saveInformation_8()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_8 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_8" aria-expanded="false" aria-controls="collapse_8"
            (click)="information_8 = !information_8">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_8 === false" data-toggle="collapse" data-target="#collapse_8"
            aria-expanded="true" aria-controls="collapse_8"
            (click)="information_8 = !information_8">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_8" aria-labelledby="heading_8">
      <div class="body-detal">
        <app-step-seven
          [template_manage]="{ role: null , validate: detailValidate_8, caaStatus: 'show', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_8($event)"></app-step-seven>
      </div>
      <br>
    </div>
  </div>

  <!-- information_9 8.Cost & Benefit Analysis -->
  <div class="row p-0">
    <div class="col-12" id="heading_9">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">Cost & Benefit Analysis </p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_9 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_9 === false" class="showPanel_save_false"
            (click)="saveInformation_9()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_9 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_9" aria-expanded="false" aria-controls="collapse_9"
            (click)="information_9 = !information_9">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_9 === false" data-toggle="collapse" data-target="#collapse_9"
            aria-expanded="true" aria-controls="collapse_9"
            (click)="information_9 = !information_9">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_9" aria-labelledby="heading_9">
      <div class="body-detal">
        <app-step-eight
          [template_manage]="{ role: null , validate: detailValidate_9, caaStatus: 'show', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_9($event)"></app-step-eight>
      </div>
      <br>
    </div>
  </div>

  <!-- information_10 9.เป้าหมาย / ตัวชี้วัด -->
  <div class="row p-0" *ngIf="objective === 'ผลิตภัณฑ์ใหม่'">
    <div class="col-12" id="heading_1">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">เป้าหมาย / ตัวชี้วัด</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_10 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_10 === false" class="showPanel_save_false"
            (click)="saveInformation_10()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_10 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_10" aria-expanded="false" aria-controls="collapse_10"
            (click)="information_10 = !information_10">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_10 === false" data-toggle="collapse" data-target="#collapse_10"
            aria-expanded="true" aria-controls="collapse_10"
            (click)="information_10 = !information_10">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC'|| userRole === 'PO'}" id="collapse_10"
      aria-labelledby="heading_10">
      <div class="body-detal">
        <app-step-nine
          [template_manage]="{ role: null , validate: detailValidate_10, caaStatus: 'show', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_10($event)"></app-step-nine>
      </div>
      <br>
    </div>
  </div>

  <!-- information_21 ทบทวน 10.เป้าหมาย / ตัวชี้วัด -->
  <div class="row p-0" *ngIf="objective === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || objective === 'ทบทวนผลิตภัณฑ์ประจำปี'">
    <div class="col-12" id="heading_21">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">เป้าหมาย / ตัวชี้วัด</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_21 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_21 === false" class="showPanel_save_false"
            (click)="saveInformation_21()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_21 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_21" aria-expanded="false" aria-controls="collapse_21"
            (click)="information_21 = !information_21">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_21 === false" data-toggle="collapse" data-target="#collapse_21"
            aria-expanded="true" aria-controls="collapse_21" (click)="information_21 = !information_21">แสดงผลเพิ่มเติม
          </span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC' || userRole === 'PO'}" id="collapse_21"
      aria-labelledby="heading_21">
      <div class="body-detal">
        <app-step-ten-summary
          [template_manage]="{ role: null , validate: detailValidate_21, caaStatus: 'show', pageShow: 'summary'}"
          (saveStatus)="getSaveStatus_21($event)"></app-step-ten-summary>
      </div>
      <br>
    </div>
  </div>

  <!-- information_11 10.ข้อมูลด้าน Finance -->
  <div class="row p-0">
    <div class="col-12" id="heading_11">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ข้อมูลด้าน Finance</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_11 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_11 === false" class="showPanel_save_false"
            (click)="saveInformation_11()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_11 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_11" aria-expanded="false" aria-controls="collapse_11"
            (click)="information_11 = !information_11">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_11 === false" data-toggle="collapse" data-target="#collapse_11"
            aria-expanded="true" aria-controls="collapse_11"
            (click)="information_11 = !information_11">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_11" aria-labelledby="heading_11">
      <div class="body-detal">
        <app-step-ten
          [template_manage]="{ role: null , validate: detailValidate_11, caaStatus: 'show', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_11($event)"></app-step-ten>
      </div>
      <br>
    </div>
  </div>

  <!-- information_12 11.ข้อมูลด้าน Complience -->
  <div class="row p-0">
    <div class="col-12" id="heading_12">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ข้อมูลด้าน Complience</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_12 === true"
            class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_12 === false" class="showPanel_save_false"
            (click)="saveInformation_12()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span class="showPanel" *ngIf="information_12 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_12" aria-expanded="false" aria-controls="collapse_12"
            (click)="information_12 = !information_12">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_12 === false" data-toggle="collapse" data-target="#collapse_12"
            aria-expanded="true" aria-controls="collapse_12"
            (click)="information_12 = !information_12">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_12" aria-labelledby="heading_12">
      <div class="body-detal">
        <app-step-eleven
          [template_manage]="{ role: null , validate: detailValidate_12, caaStatus: 'show', pageShow: 'summary' }"
          (saveStatus)="getSaveStatus_12($event)"></app-step-eleven>
      </div>
      <br>
    </div>
  </div>


  <!-- information_22 ทบทวน 13.สรุปข้อเสนอเพื่อพิจารณา -->
  <!-- <div class="row p-0" *ngIf="objective === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || objective === 'ทบทวนผลิตภัณฑ์ประจำปี'">
    <div class="col-12" id="heading_22">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">สรุปข้อเสนอเพื่อพิจารณา</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_22 === true" class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_22 === false" class="showPanel_save_false" (click)="saveInformation_22()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span 
            class="showPanel"
            *ngIf="information_22 === true"
            style="margin-left: 3px;"
            data-toggle="collapse"
            data-target="#collapse_22"
            aria-expanded="false"
            aria-controls="collapse_22"
            (click)="information_22 = !information_22"> แสดงผลน้อยลง </span>
          <span
            class="showPanel"
            *ngIf="information_22 === false"
            data-toggle="collapse"
            data-target="#collapse_22"
            aria-expanded="true"
            aria-controls="collapse_22"
            (click)="information_22 = !information_22"> แสดงผลเพิ่มเติม </span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_22" aria-labelledby="heading_22">
      <div class="body-detal">
        <app-step-thirteen-summary [template_manage]="{ role: null , validate: detailValidate_22, caaStatus: 'show', pageShow: 'summary'}" (saveStatus)="getSaveStatus_22($event)"></app-step-thirteen-summary>
      </div>
      <br>
    </div>
  </div> -->

  <!-- information_23 ทบทวน 14.ประวัติการปรับปรุงผลิตภัณฑ์ -->
  <!-- <div class="row p-0" *ngIf="objective === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || objective === 'ทบทวนผลิตภัณฑ์ประจำปี'">
    <div class="col-12" id="heading_23">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">ประวัติการปรับปรุงผลิตภัณฑ์</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_23 === true" class="showPanel_save_true">บันทึก</span>
          <span class="showPanel" *ngIf="reviewStatus === false && saveStatus_23 === false" class="showPanel_save_false" (click)="saveInformation_23()">บันทึก</span>
          <span *ngIf="reviewStatus === false" class="comment-head-center"></span>
          <span 
            class="showPanel"
            *ngIf="information_23 === true"
            style="margin-left: 3px;"
            data-toggle="collapse"
            data-target="#collapse_23"
            aria-expanded="false"
            aria-controls="collapse_23"
            (click)="information_23 = !information_23"> แสดงผลน้อยลง </span>
          <span
            class="showPanel"
            *ngIf="information_23 === false"
            data-toggle="collapse"
            data-target="#collapse_23"
            aria-expanded="true"
            aria-controls="collapse_23"
            (click)="information_23 = !information_23"> แสดงผลเพิ่มเติม </span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" id="collapse_23" aria-labelledby="heading_23">
      <div class="body-detal">
        <app-step-fourteen-summary [template_manage]="{ role: null , validate: detailValidate_23, caaStatus: 'show', pageShow: 'summary'}" (saveStatus)="getSaveStatus_23($event)"></app-step-fourteen-summary>
      </div>
      <br>
    </div>
  </div> -->

  <!-- ------------------------------------------------------------------------------------------------------------------------------ -->
  <!-- information_13 สอบทานการสรุปผลการพิจารณา Complience -->
  <div class="row p-0">
    <div class="col-12" id="heading_13">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">สอบทานการสรุปผลการพิจารณา</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="width: 200px; text-align: end;">

          <span
            [ngClass]="{'showPanel_save_true': saveStatus_13 === true, 'showPanel_save_false': saveStatus_13 === false}"
            (click)="saveInformation_13()"
            *ngIf="reviewStatusShow === true && this.view === true && this.validate === true">บันทึก</span>
          <span class="comment-head-center"
            *ngIf="reviewStatusShow === true && this.view === true && this.validate === true"></span>
          <span class="showPanel" *ngIf="information_13 === true" style="margin-left: 3px;" data-toggle="collapse"
            data-target="#collapse_13" aria-expanded="false" aria-controls="collapse_13"
            (click)="information_13 = !information_13">แสดงผลน้อยลง</span>
          <span class="showPanel" *ngIf="information_13 === false" data-toggle="collapse" data-target="#collapse_13"
            aria-expanded="true" aria-controls="collapse_13"
            (click)="information_13 = !information_13">แสดงผลเพิ่มเติม</span>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 collapse" [ngClass]="{'show': userRole === 'PC'}" id="collapse_13" aria-labelledby="heading_13">
      <div class="body-detal">
        <!--  -->
        <div class="row">
          <div class="col-12">
            <mat-radio-group aria-label="Select an option" [(ngModel)]="approveStatus"
              (ngModelChange)="changeBoardApprove()" [disabled]="this.validate === false">
              <div class=" d-flex align-items-stretch radio-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-radio-button value="approve"></mat-radio-button>
                </div>
                <div class="bd-highlight radio-detail"
                  [ngClass]="{'checkbox-detail-true': approveStatus === 'approve', 'checkbox-detail-false': approveStatus !== 'approve', 'radio-disabled': reviewStatusShow !== true, 'radio-disabled': validate === false}"
                  (click)="approveStatus = 'approve'; changeBoardApprove()">
                  เป็นไปตามมติคณะกรรมการผลิตภัณฑ์</div>
              </div>
              <div class="d-flex align-items-stretch radio-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-radio-button value="edit"></mat-radio-button>
                </div>
                <div class="bd-highlight radio-detail"
                  [ngClass]="{'checkbox-detail-true': approveStatus === 'edit', 'checkbox-detail-false': approveStatus !== 'edit', 'radio-disabled': reviewStatusShow !== true, 'radio-disabled': validate === false}"
                  (click)="approveStatus = 'edit'; changeBoardApprove()">ส่งกลับแก้ไข </div>
              </div>
            </mat-radio-group>
          </div>
          <div class="col-12" style="padding-left: 42px;">
            <textarea class="form-control input-detail" rows="4" cols="50"
              placeholder="ระบุรายละเอียดเพิ่มเติมส่งกลับแก้ไข" [(ngModel)]="editText"
              (ngModelChange)="saveStatus_13 = false; service.status_state = true;"
              [disabled]=" !(approveStatus === 'edit') || this.validate === false">
            </textarea>
          </div>
        </div>

        <!--  -->
      </div>
      <br>
    </div>
  </div>

</div>

<div class="loading" *ngIf="status_loading">Loading&#8230;</div>